Bug 523552 - Evolution crashes when changing properties on a non-feed folder
Summary: Evolution crashes when changing properties on a non-feed folder
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: evolution-rss
Version: 11
Hardware: x86_64
OS: Linux
low
medium
Target Milestone: ---
Assignee: Lucian Langa
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-09-15 22:38 UTC by Luke Dixon
Modified: 2009-10-06 10:05 UTC (History)
1 user (show)

Fixed In Version: 0.1.4-4.fc10
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-10-06 10:04:50 UTC


Attachments (Terms of Use)
crash-details (31.81 KB, application/octet-stream)
2009-09-15 22:38 UTC, Luke Dixon
no flags Details
adds some checks to the rss_folder_factory_commit function (1.04 KB, patch)
2009-09-15 22:41 UTC, Luke Dixon
no flags Details | Diff

Description Luke Dixon 2009-09-15 22:38:54 UTC
Created attachment 361154 [details]
crash-details

Description of problem:
When changing the properties on a folder that isn't an RSS feed, evolution crashes.

Version-Release number of selected component (if applicable):
evolution-rss.x86_64 0.1.4-3.fc11
evolution.x86_64 2.26.3-1.fc11


How reproducible:
Always, on the computer I'm using at the moment. I tried making a new user account on this computer and it happened with that user account also.

Steps to Reproduce:
1. Install the evolution-rss package
2. Run Evolution
3. Set up some feeds
4. Right Click on a folder that isn't an RSS feed (eg. Drafts or Sent)
5. Click OK (clicking Cancel works fine though)
6. Bug Buddy comes up
  
Actual results:
Changing properties on folder and clicking OK, causes crash.

Expected results:
Doesn't cause crash.

Additional info:
I've attached the crash details from Bug Buddy.

I also had a look at what might be causing this and I think that maybe the function rss_folder_factory_commit needs to do some checking of whether it is working on an RSS folder or not, as I noticed rss_folder_factory below it does.

I worked on patching it, just copied some of the checks from rss_folder_factory to rss_folder_factory_commit and tried rebuilding the package and it seems to fix the problem.

Comment 1 Luke Dixon 2009-09-15 22:41:04 UTC
Created attachment 361155 [details]
adds some checks to the rss_folder_factory_commit function

Comment 2 Lucian Langa 2009-09-16 05:41:34 UTC
Good catch! Confirmed.

Comment 3 Fedora Update System 2009-09-16 17:59:27 UTC
evolution-rss-0.1.4-4.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/evolution-rss-0.1.4-4.fc10

Comment 4 Fedora Update System 2009-09-16 18:00:02 UTC
evolution-rss-0.1.4-4.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/evolution-rss-0.1.4-4.fc11

Comment 5 Fedora Update System 2009-09-19 00:05:06 UTC
evolution-rss-0.1.4-4.fc11 has been pushed to the Fedora 11 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update evolution-rss'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F11/FEDORA-2009-9700

Comment 6 Fedora Update System 2009-09-19 00:13:26 UTC
evolution-rss-0.1.4-4.fc10 has been pushed to the Fedora 10 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update evolution-rss'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F10/FEDORA-2009-9755

Comment 7 Fedora Update System 2009-10-06 10:04:23 UTC
evolution-rss-0.1.4-4.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 8 Fedora Update System 2009-10-06 10:05:32 UTC
evolution-rss-0.1.4-4.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.